// DShowInputDriver: DirectShow based input plugin for VirtualDub
// Copyright (C) 2010-2011 Avery Lee
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include <vd2/plugin/vdinputdriver.h>

#pragma comment(lib, "comctl32")

extern const VDXPluginInfo g_plugin_DShow;

extern void DSInitPluginInfo();

extern const VDXPluginInfo *const g_plugins[]={
	&g_plugin_DShow,
	NULL
};

extern "C" __declspec(dllexport) const VDXPluginInfo *const *VDXAPIENTRY VDGetPluginInfo() {
	InitCommonControls();
	DSInitPluginInfo();
	return g_plugins;
}
